Page MenuHomePhabricator

Move `tool-ldap` from Differential to Gerrit
Closed, ResolvedPublic

Description

rTLDAP tool-ldap continues to exist in Differential. Let's move it to gerrit.

Details

Related Gerrit Patches:
labs/tools/ldap : masterAdd .gitreview

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 30 2019, 1:07 PM

This is basically prompted due to the complexity of Differential to submit patches for review, specially when this tool doesn't have any .arcconfig or .gitreview file. To make D1146: app: list new `gerritadmin` LDAP group (pending review fwiw) I had to go here and there and upload a raw patch to the UI, etc. I don't mind keeping a mirror on Diffusion of course, but development should be switched either to Gerrit or to GitHub. Thank you.

Please. It would be nice if all of my tools could be moved en-masse. I suppose it would be worthwhile to script it?

MarcoAurelio added a comment.EditedApr 1 2019, 8:43 PM

I can migrate (import) the repo contents over to Gerrit but then you'll have to change the clone links so they point to the actuall gerrit repo instead of the diffusion one, which will remain as a mirror of the GitHub one.

Mentioned in SAL (#wikimedia-releng) [2019-04-01T21:42:23Z] <hauskatze> Imported tool-ldap from Diffusion to Gerrit with full history | T219703

Change 500617 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[labs/tools/ldap@master] Add .gitreview

https://gerrit.wikimedia.org/r/500617

@Legoktm The tool complete history, commits, etc. has been imported to Gerrit (labs/tools/ldap, per naming scheme). I guess you'll need to make some changes in the tool to pick the repo from Gerrit instead of Diffusion now? Once done, I can turn the Diffusion repo into a mirror of our Gerrit one.

Change 500617 merged by Legoktm:
[labs/tools/ldap@master] Add .gitreview

https://gerrit.wikimedia.org/r/500617

tools.ldap@tools-sgebastion-07:~/www/python/src$ git remote -v
origin	https://phabricator.wikimedia.org/source/tool-ldap.git (fetch)
origin	https://phabricator.wikimedia.org/source/tool-ldap.git (push)
tools.ldap@tools-sgebastion-07:~/www/python/src$ git remote set-url origin https://gerrit.wikimedia.org/r/labs/tools/ldap
tools.ldap@tools-sgebastion-07:~/www/python/src$ git remote -v
origin	https://gerrit.wikimedia.org/r/labs/tools/ldap (fetch)
origin	https://gerrit.wikimedia.org/r/labs/tools/ldap (push)
tools.ldap@tools-sgebastion-07:~/www/python/src$ git pull
remote: Counting objects: 4, done
remote: Finding sources: 100% (3/3)
remote: Getting sizes: 100% (3/3)
remote: Compressing objects: 100% (290/290)
remote: Total 3 (delta 1), reused 0 (delta 0)
Unpacking objects: 100% (3/3), done.
From https://gerrit.wikimedia.org/r/labs/tools/ldap
   d797c2b..30de8d5  master     -> origin/master
Updating d797c2b..30de8d5
Fast-forward
 .gitreview | 6 ++++++
 1 file changed, 6 insertions(+)
 create mode 100644 .gitreview

Should be fine to switch over.

MarcoAurelio closed this task as Resolved.Apr 1 2019, 10:25 PM
MarcoAurelio claimed this task.

Syncronization between Gerrit <-> Diffusion seems to work: 30de8d55 was just imported.

I consider this task as resolved.

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptApr 1 2019, 10:25 PM
MarcoAurelio edited projects, added Tool-ldap; removed Tools.Apr 4 2019, 8:27 PM